Bug 855636 - Presence 0.4.8 core dumps on F17 all the time
Presence 0.4.8 core dumps on F17 all the time
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: presence (Show other bugs)
17
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Fabian Deutsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 09:38 EDT by Chida
Modified: 2013-07-31 20:21 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 20:21:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chida 2012-09-09 09:38:38 EDT
Description of problem:
presence-0.4.8-1.fc17.x86_64 core dumps when my laptop (Lenovo E430) webcam (/dev/video0) is selected and attempted to stream at any resolution or framerate.

Version-Release number of selected component (if applicable):
presence-0.4.8-1.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Run presence from the command line -- presence -d
2. Click on the 'camera' icon to configure,
- Resolution : 1280x720
  Framerate : 30fps
  Quality : best
 
3. Click 'Start Streaming'
4. Click on view peers icon
5. Click "connect" 
6. Core is dumped.
  
Actual results:
presence terminates with a core dump


Expected results:
presence should display rtsp stream

Additional info:
presence -d output:

Settings changed: debug to 'TRUE'
Settings changed: video-device to '/dev/video0'
Settings changed: video-quality-factor to '0.700000'
Settings changed: video-scale-factor to '0.500000'
Settings changed: video-fps-request to '10.000000'
Settings changed: video-fps-request to '10.000000'
Settings changed: rtsp-server-enabled to 'FALSE'
Settings changed: ipv6 to 'FALSE'
Settings changed: mdns-name to 'chida@localhost.localdomain'
Settings changed: mdns-enabled to 'FALSE'
Settings changed: video-scale-factor to '0.500000'
Settings changed: video-quality-factor to '0.700000'
Settings changed: video-fps-factor to '0.500000'
Settings changed: use-advanced-video-preferences-dialog to 'FALSE'
Settings changed: video-fps-request to '30.000000'
Settings changed: video-scale-factor to '0.500000'
Settings changed: video-quality-factor to '1.000000'
Settings changed: rtsp-server-enabled to 'FALSE'
Settings changed: mdns-enabled to 'FALSE'
Settings changed: rtsp-server-enabled to 'TRUE'
Settings changed: mdns-enabled to 'TRUE'

** (presence:2100): WARNING **: media.vala:327: Mapping added for 'presence' with: ( 
  (
    v4l2src device=/dev/video0 
    ! videorate 
    ! aspectratiocrop aspect-ratio=16/9 
    ! videoscale 
    ! video/x-raw-yuv,width=640,height=360,framerate=30/1 
    ! schroenc force-profile=vc2_simple quality=9 queue-depth=5
  )
  ! queue 
  ! rtpgstpay pt=96 name=pay0

  (
    pulsesrc do-timestamp=true stream-properties='props,media.role=phone,filter.want=echo-cancel' client='Presence (in)'
    ! vobisenc 
  )
  ! queue 
  ! rtpgstpay pt=97 name=pay1 
)

(presence:2100): GLib-GObject-WARNING **: g_object_get_property: can't retrieve property `rtsp-secondary-client-uris' of type `GStrv' as value of type `gchararray'
Settings changed: rtsp-secondary-client-uris to ''
Segmentation fault (core dumped)

---

$ presence -d
Settings changed: debug to 'TRUE'
Settings changed: video-device to '/dev/video0'
Settings changed: video-quality-factor to '0.700000'
Settings changed: video-scale-factor to '0.500000'
Settings changed: video-fps-request to '10.000000'
Settings changed: video-fps-request to '10.000000'
Settings changed: rtsp-server-enabled to 'FALSE'
Settings changed: ipv6 to 'FALSE'
Settings changed: mdns-name to 'chida@localhost.localdomain'
Settings changed: mdns-enabled to 'FALSE'
Settings changed: video-scale-factor to '0.500000'
Settings changed: video-quality-factor to '0.700000'
Settings changed: video-fps-factor to '0.500000'
Settings changed: use-advanced-video-preferences-dialog to 'FALSE'
Settings changed: video-scale-factor to '1.000000'
Settings changed: video-fps-request to '30.000000'
Settings changed: video-quality-factor to '1.000000'
Settings changed: rtsp-server-enabled to 'FALSE'
Settings changed: mdns-enabled to 'FALSE'
Settings changed: rtsp-server-enabled to 'TRUE'
Settings changed: mdns-enabled to 'TRUE'

** (presence:2207): WARNING **: media.vala:327: Mapping added for 'presence' with: ( 
  (
    v4l2src device=/dev/video0 
    ! videorate 
    ! aspectratiocrop aspect-ratio=16/9 
    ! videoscale 
    ! video/x-raw-yuv,width=1280,height=720,framerate=30/1 
    ! schroenc force-profile=vc2_simple quality=9 queue-depth=5
  )
  ! queue 
  ! rtpgstpay pt=96 name=pay0

  (
    pulsesrc do-timestamp=true stream-properties='props,media.role=phone,filter.want=echo-cancel' client='Presence (in)'
    ! vobisenc 
  )
  ! queue 
  ! rtpgstpay pt=97 name=pay1 
)
Settings changed: rtsp-client-enabled to 'FALSE'
Settings changed: rtsp-client-uri to 'rtsp://192.168.122.1:8554/presence'
Settings changed: rtsp-client-enabled to 'TRUE'
Segmentation fault (core dumped)
Comment 1 Fedora End Of Life 2013-07-03 18:26:16 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2013-07-31 20:21:30 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.